Cutting it Close - quest completed, but still appearing on map
Closed, ResolvedPublic

Description

What is happening:
Quest is completed but last item in list is still marked as active in Journal, appearing on the map (exclamation mark) and interaction with Final ink character does not resolve it.

What should be happening:
Quest completed, not appearing on the map and all items in list in Journal marked as done. No exclamation mark on the map or above Final Ink character

Steps to reproduce the issue:
Not sure how this happenned...

Reproduced by:

Screenshots:
https://imgur.com/x1GhcuA

Jamis created this task.Jan 15 2019, 12:21 PM
Jamis updated the task description. (Show Details)Jan 19 2019, 11:47 AM

The NPC 'Old Quest Marker Fix' in Cantermore (just to the side of the train station entrance) can fix some issues like this. Please try speaking to him, and see if he is able to resolve this issue; if not, please respond to this ticket again to let us know.

Jamis added a comment.Mar 6 2019, 8:56 AM

Already tried, but there is no option for fixing this quest. The options that 'Old Quest Marker Fix' offers:

I've still got quest markers after helping
Fission Mailed is complete, but I still see a marker over Sugar and Spice.
I can't see the ice and snow in Ponydale
Still seeing a marker on Prince Overwatch?
Chlorophiliac Klondike's marker left.
Pyrite's package
Mindless Violins
Supplying the Hospital Finished
Graduation finished, but seeing doubles!
Are you a Princess Too? leftover objective
Equestrian Werepony quest active
Rehersal Roundup leftover markers
We'll Fix it in Post
The Good Egg
Safely Home
Can you Hear Me Now?
Grownup and still seeing foals and no TenSeven
None at all

Rattletrap closed this task as Resolved.Jun 1 2019, 7:03 PM

This issue has been resolved. A fix has been put in place with Old Quest Marker Fix and will take effect after the next server resets.

Jamis added a comment.Jun 6 2019, 8:40 AM

Unfortunately, there has been a server reset already (at least what I've experienced as a player) but this option does not show up. Here is the list I see with Old Quest Marker Fix:

Can you Hear Me Now?
I've still got quest markers after helping Peacebloom
Chlorophiliac Klondike's marker left
Still seeing a marker on Prince Overwatch?
Dancer still shows a quest marker even though I finished Dandelion Tamer.
Graduation finished, but seeing doubles!
Leftover markers over Frizzy, Windhover, or Starburst. This one shows up on Americas server only.
Grownup and still seeing foals and no TenSeven
Fission Mailed is complete, but I still see a marker over Sugar and Spice.
We'll Fix it in Post
The Good Egg
Pyrite's package
Mindless Violins marker left over Pyrite
Are you a Princess Too? leftover objective
Stuck with a lots of music sheets after giving out a bunch for Rehearsal Roundup
Rehersal Roundup leftover markers
|queststage? <Removing Cookies and Browsing Data> = 1
Ancient Aviator didn't give me a lantern even after I listened to his tale twice
Safey Home. Mellow Cloud still has a Marker.
Straight and Narrow. Fixing Pumpkin's marker.
Supplying the Hospital Finished and marker still showing over Marvell.
Supplying the Hospital the Nurse Coldhoof has a leftover marker
Equestrian Werepony quest active
None at all

Jamis added a comment.Jun 17 2019, 7:53 PM

Now resolved, thanks!